Your message dated Sat, 29 Sep 2012 16:06:50 +0100
with message-id <[email protected]>
and subject line Re: Bug#689137: unblock: minbif/1:1.0.5+git20120508-2.1
has caused the Debian Bug report #689137,
regarding unblock: minbif/1:1.0.5+git20120508-2.1
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)
--
689137: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=689137
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: release.debian.org
Severity: normal
User: [email protected]
Usertags: unblock
Please unblock package minbif
It fixes a serious mess of the “directory replaced by symlink”-kind.
unblock minbif/1:1.0.5+git20120508-2.1
Thanks in advance, regards.
David
-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1,
'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386
Kernel: Linux 3.5-trunk-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -Nru minbif-1.0.5+git20120508/debian/changelog minbif-1.0.5+git20120508/debian/changelog
--- minbif-1.0.5+git20120508/debian/changelog 2012-08-19 06:39:44.000000000 -0400
+++ minbif-1.0.5+git20120508/debian/changelog 2012-09-26 15:46:19.000000000 -0400
@@ -1,3 +1,11 @@
+minbif (1:1.0.5+git20120508-2.1) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * debian/minbif.postinst: Fix directory to symlink upgrade in postinst.
+ (Closes: #687660)
+
+ -- David Prévot <[email protected]> Wed, 26 Sep 2012 15:46:12 -0400
+
minbif (1:1.0.5+git20120508-2) unstable; urgency=low
* Re-enable caca so user icons can be displayed; it should not have been
diff -Nru minbif-1.0.5+git20120508/debian/minbif.postinst minbif-1.0.5+git20120508/debian/minbif.postinst
--- minbif-1.0.5+git20120508/debian/minbif.postinst 1969-12-31 20:00:00.000000000 -0400
+++ minbif-1.0.5+git20120508/debian/minbif.postinst 2012-09-26 15:43:15.000000000 -0400
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+# Replace documentation directory with symlink
+docdir="/usr/share/doc/minbif"
+if [ -d $docdir ] && [ ! -L $docdir ]; then
+ if rmdir $docdir 2>/dev/null; then
+ ln -sf minbif-common $docdir
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0
--- End Message ---
--- Begin Message ---
On Sat, 2012-09-29 at 09:08 -0400, David Prévot wrote:
> Please unblock package minbif
>
> It fixes a serious mess of the “directory replaced by symlink”-kind.
Unblocked by Julien.
Regards,
Adam
--- End Message ---